Index: /trunk/SRC/ToBeReviewed/CALCULS/norme.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/norme.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/CALCULS/norme.pro	(revision 226)
@@ -4,11 +4,11 @@
 ;+
 ;
-; @file_comments 
+; @file_comments
 ; calculate the norm of a field of vectors, then make a possible average.
 ;   Comment 1: The field of vector can be, 2d:xy, 3d: xyz or xyt,
 ; 4d: xyzt
 ;   Comment 2:
-; The calculation of the norm is made before the possible spatial or 
-; temporal average because the average of the norm is not equal to the 
+; The calculation of the norm is made before the possible spatial or
+; temporal average because the average of the norm is not equal to the
 ; norm of averages
 
@@ -24,10 +24,10 @@
 ;
 ; @keyword BOXZOOM
-; boxzoom on which do the average (by default the domain selected 
+; boxzoom on which do the average (by default the domain selected
 ; by the last domdef done)
 ;
 ; @keyword DIREC
 ; 't' 'x' 'y' 'z' 'xys' 'xz' 'yz' 'xyz' 'xt' 'yt' 'zt' 'xyt'
-;       'xzt' 'yzt' 'xyzt' Direction on which do averages 
+;       'xzt' 'yzt' 'xyzt' Direction on which do averages
 ;
 ; @returns
@@ -37,23 +37,23 @@
 ; common.pro
 ;
-; @restrictions 
-; The norm is calculated on points TTo do this calculation, we average 
-; field U and Von points T before calculate the norme. At the edge of 
-; coast and of domain, we can not calculate fields U and V at points T, 
-; that is why these points are at value !values.f_nan. 
-; 
-; When we calculate on a reduce geographic domain, field U and V have not 
-; necessarily the same number of point. In this case, we recut U and V to 
-; keep only common points. We profit of this to redo a domdef which redefine 
+; @restrictions
+; The norm is calculated on points TTo do this calculation, we average
+; field U and Von points T before calculate the norme. At the edge of
+; coast and of domain, we can not calculate fields U and V at points T,
+; that is why these points are at value !values.f_nan.
+;
+; When we calculate on a reduce geographic domain, field U and V have not
+; necessarily the same number of point. In this case, we recut U and V to
+; keep only common points. We profit of this to redo a domdef which redefine
 ; a geographic domain on which fields U and V are extracted on same points
 ;
 ; @restrictions
-; To know what type of array we work with, we  test its size and dates 
-; gave by time[0] and time[jpt-1] to know if thee is a temporal dimension. 
-; Before to start norme, make sure that time and jpt are defined how 
-; they have to! 
+; To know what type of array we work with, we  test its size and dates
+; gave by time[0] and time[jpt-1] to know if thee is a temporal dimension.
+; Before to start norme, make sure that time and jpt are defined how
+; they have to!
 ;
 ; @examples
-; To calculate the average of the norme of streams on all the domain 
+; To calculate the average of the norme of streams on all the domain
 ; between 0 et 50:
 ;      IDL> res=norme(un,vn,boxzoom=[0,50],dir='xyz')
@@ -90,5 +90,5 @@
 ;
 ;------------------------------------------------------------
-  if keyword_set(boxzoom) then BEGIN 
+  if keyword_set(boxzoom) then BEGIN
     Case 1 Of
       N_Elements(Boxzoom) Eq 1:bte = [lon1, lon2, lat1, lat2, 0., boxzoom[0]]
@@ -100,5 +100,5 @@
     ENDCASE
     domdef, boxzoom
-  ENDIF 
+  ENDIF
 ;------------------------------------------------------------
    if NOT keyword_set(direc) then direc = 0
@@ -120,6 +120,6 @@
    if grillev EQ '' then grillev = 'V'
    IF grilleu EQ 'V' AND grillev EQ 'U' THEN inverse = 1
-   IF grilleu EQ 'T' AND grillev EQ 'T' THEN BEGIN 
-      interpolle  = 0 
+   IF grilleu EQ 'T' AND grillev EQ 'T' THEN BEGIN
+      interpolle  = 0
       return, report('cas non code mais facile a faire!')
    ENDIF ELSE interpolle = 1
@@ -140,5 +140,5 @@
    indiceyv = (lindgen(jpj))[firstyv:firstyv+nyv-1]
    indicey = inter(indiceyu, indiceyv)
-   nx = n_elements(indicex) 
+   nx = n_elements(indicex)
    ny = n_elements(indicey)
 ;----------------------------------------------------------------------------
@@ -149,5 +149,5 @@
 ;----------------------------------------------------------------------------
 ;----------------------------------------------------------------------------
-      (size(u))[0] EQ 3 AND date1 EQ date2 :BEGIN 
+      (size(u))[0] EQ 3 AND date1 EQ date2 :BEGIN
 ;----------------------------------------------------------------------------
          indice2d = lindgen(jpi, jpj)
@@ -160,23 +160,23 @@
          case 1 of
             (size(u))[1] EQ nxu AND (size(u))[2] EQ nyu AND $
-             (size(v))[1] EQ nxv AND (size(v))[2] EQ nyv:BEGIN 
+             (size(v))[1] EQ nxv AND (size(v))[2] EQ nyv:BEGIN
                case (size(u))[3] OF
-                  nzt:BEGIN 
+                  nzt:BEGIN
                      if nxu NE nx then $
-                      if indicex[0] EQ firstxu then u = u[0:nx-1,*,*] ELSE u = u[1: nx, *,*] 
+                      if indicex[0] EQ firstxu then u = u[0:nx-1,*,*] ELSE u = u[1: nx, *,*]
                      IF nxv NE nx THEN $
                       if indicex[0] EQ firstxv then v = v[0:nx-1,*,*] ELSE v = v[1: nx, *,*]
                      IF nyu NE ny THEN $
-                      if indicey[0] EQ firstyu then u = u[*,0:ny-1,*] ELSE u = u[*, 1: ny,*] 
+                      if indicey[0] EQ firstyu then u = u[*,0:ny-1,*] ELSE u = u[*, 1: ny,*]
                      IF nyv NE ny THEN $
                       if indicey[0] EQ firstyv then v = v[*,0:ny-1,*] ELSE v = v[*, 1: ny,*]
                   end
-                  jpk:BEGIN 
+                  jpk:BEGIN
                      if nxu NE nx then $
-                      if indicex[0] EQ firstxu then u = u[0:nx-1, *,firstzt:lastzt] ELSE u = u[1: nx, *,firstzt:lastzt] 
+                      if indicex[0] EQ firstxu then u = u[0:nx-1, *,firstzt:lastzt] ELSE u = u[1: nx, *,firstzt:lastzt]
                      IF nxv NE nx THEN $
                       if indicex[0] EQ firstxv then v = v[0:nx-1, *,firstzt:lastzt] ELSE v = v[1: nx, *,firstzt:lastzt]
                      IF nyu NE ny THEN $
-                      if indicey[0] EQ firstyu then u = u[*, 0:ny-1,firstzt:lastzt] ELSE u = u[*, 1: ny,firstzt:lastzt] 
+                      if indicey[0] EQ firstyu then u = u[*, 0:ny-1,firstzt:lastzt] ELSE u = u[*, 1: ny,firstzt:lastzt]
                      IF nyv NE ny THEN $
                       if indicey[0] EQ firstyv then v = v[*, 0:ny-1,firstzt:lastzt] ELSE v = v[*, 1: ny,firstzt:lastzt]
@@ -186,5 +186,5 @@
             END
             (size(u))[1] EQ jpi AND (size(u))[2] EQ jpj AND (size(u))[3] EQ jpk AND $
-             (size(v))[1] EQ jpi AND (size(v))[2] EQ jpj AND (size(u))[3] EQ jpk :BEGIN 
+             (size(v))[1] EQ jpi AND (size(v))[2] EQ jpj AND (size(u))[3] EQ jpk :BEGIN
                u = u[indice3d]
                v = v[indice3d]
@@ -209,5 +209,5 @@
          if NOT keyword_set(key_periodic) OR nx NE jpi then v[*,0,*]=a
 ;----------------------------------------------------------------------------
-; attribution of the mask and of logitude and latitude arrays
+; attribution of the mask and of longitude and latitude arrays
 ;----------------------------------------------------------------------------
          mask = tmask[indice3d]
@@ -234,5 +234,5 @@
 ;----------------------------------------------------------------------------
 ;----------------------------------------------------------------------------
-      date1 NE date2 AND (size(u))[0] EQ 3 :BEGIN 
+      date1 NE date2 AND (size(u))[0] EQ 3 :BEGIN
          indice2d = lindgen(jpi, jpj)
          indice2d = indice2d[indicex[0]:indicex[0]+nx-1,indicey[0]:indicey[0]+ny-1]
@@ -242,16 +242,16 @@
          case 1 of
             (size(u))[1] EQ nxu AND (size(u))[2] EQ nyu AND $
-             (size(v))[1] EQ nxv AND (size(v))[2] EQ nyv:BEGIN 
+             (size(v))[1] EQ nxv AND (size(v))[2] EQ nyv:BEGIN
                if nxu NE nx then $
-                if indicex[0] EQ firstxu then u = u[0:nx-1, *, *] ELSE u = u[1: nx, *, *] 
+                if indicex[0] EQ firstxu then u = u[0:nx-1, *, *] ELSE u = u[1: nx, *, *]
                IF nxv NE nx THEN $
                 if indicex[0] EQ firstxv then v = v[0:nx-1, *, *] ELSE v = v[1: nx, *, *]
                IF nyu NE ny THEN $
-                if indicey[0] EQ firstyu then u = u[*, 0:ny-1, *] ELSE u = u[*, 1: ny, *] 
+                if indicey[0] EQ firstyu then u = u[*, 0:ny-1, *] ELSE u = u[*, 1: ny, *]
                IF nyv NE ny THEN $
                 if indicey[0] EQ firstyv then v = v[*, 0:ny-1, *] ELSE v = v[*, 1: ny, *]
             END
             (size(u))[1] EQ jpi AND (size(u))[2] EQ jpj AND $
-             (size(v))[1] EQ jpi AND (size(v))[2] EQ jpj:BEGIN 
+             (size(v))[1] EQ jpi AND (size(v))[2] EQ jpj:BEGIN
                u = u[indicex[0]:indicex[0]+nx-1,indicey[0]:indicey[0]+ny-1, *]
                v = v[indicex[0]:indicex[0]+nx-1,indicey[0]:indicey[0]+ny-1, *]
@@ -270,6 +270,6 @@
 ;----------------------------------------------------------------------------
 ; attribution of the mask and of longitude and latitude arrays.
-; We recover the complete grid to establish a big mask extent in the four 
-; direction to cover pointsfor which a land point has been 
+; We recover the complete grid to establish a big mask extent in the four
+; direction to cover pointsfor which a land point has been
 ; considerated (make a small drawing)
 ;----------------------------------------------------------------------------
@@ -288,5 +288,5 @@
          res[*,0, *]=!values.f_nan
          mask = where(mask eq 0)
-         IF mask[0] NE -1 THEN BEGIN 
+         IF mask[0] NE -1 THEN BEGIN
             coeftps = lindgen(jpt)*nx*ny
             coeftps = replicate(1, n_elements(mask))#coeftps
@@ -304,5 +304,5 @@
 ;----------------------------------------------------------------------------
 ;----------------------------------------------------------------------------
-      date1 NE date2 AND (size(u))[0] EQ 4:BEGIN 
+      date1 NE date2 AND (size(u))[0] EQ 4:BEGIN
          indice2d = lindgen(jpi, jpj)
          indice2d = indice2d[indicex[0]:indicex[0]+nx-1,indicey[0]:indicey[0]+ny-1]
@@ -314,23 +314,23 @@
          case 1 of
             (size(u))[1] EQ nxu AND (size(u))[2] EQ nyu AND $
-             (size(v))[1] EQ nxv AND (size(v))[2] EQ nyv:BEGIN 
+             (size(v))[1] EQ nxv AND (size(v))[2] EQ nyv:BEGIN
                case (size(u))[3] OF
-                  nzt:BEGIN 
+                  nzt:BEGIN
                      if nxu NE nx then $
-                      if indicex[0] EQ firstxu then u = u[0:nx-1,*,*,*] ELSE u = u[1: nx, *,*,*] 
+                      if indicex[0] EQ firstxu then u = u[0:nx-1,*,*,*] ELSE u = u[1: nx, *,*,*]
                      IF nxv NE nx THEN $
                       if indicex[0] EQ firstxv then v = v[0:nx-1,*,*,*] ELSE v = v[1: nx, *,*,*]
                      IF nyu NE ny THEN $
-                      if indicey[0] EQ firstyu then u = u[*,0:ny-1,*,*] ELSE u = u[*, 1: ny,*,*] 
+                      if indicey[0] EQ firstyu then u = u[*,0:ny-1,*,*] ELSE u = u[*, 1: ny,*,*]
                      IF nyv NE ny THEN $
                       if indicey[0] EQ firstyv then v = v[*,0:ny-1,*,*] ELSE v = v[*, 1: ny,*,*]
                   end
-                  jpk:BEGIN 
+                  jpk:BEGIN
                      if nxu NE nx then $
-                      if indicex[0] EQ firstxu then u = u[0:nx-1, *,firstzt:lastzt,*] ELSE u = u[1: nx, *,firstzt:lastzt,*] 
+                      if indicex[0] EQ firstxu then u = u[0:nx-1, *,firstzt:lastzt,*] ELSE u = u[1: nx, *,firstzt:lastzt,*]
                      IF nxv NE nx THEN $
                       if indicex[0] EQ firstxv then v = v[0:nx-1, *,firstzt:lastzt,*] ELSE v = v[1: nx, *,firstzt:lastzt,*]
                      IF nyu NE ny THEN $
-                      if indicey[0] EQ firstyu then u = u[*, 0:ny-1,firstzt:lastzt,*] ELSE u = u[*, 1: ny,firstzt:lastzt,*] 
+                      if indicey[0] EQ firstyu then u = u[*, 0:ny-1,firstzt:lastzt,*] ELSE u = u[*, 1: ny,firstzt:lastzt,*]
                      IF nyv NE ny THEN $
                       if indicey[0] EQ firstyv then v = v[*, 0:ny-1,firstzt:lastzt,*] ELSE v = v[*, 1: ny,firstzt:lastzt,*]
@@ -340,5 +340,5 @@
             END
             (size(u))[1] EQ jpi AND (size(u))[2] EQ jpj AND (size(u))[3] EQ jpk AND $
-             (size(v))[1] EQ jpi AND (size(v))[2] EQ jpj AND (size(u))[3] EQ jpk :BEGIN 
+             (size(v))[1] EQ jpi AND (size(v))[2] EQ jpj AND (size(u))[3] EQ jpk :BEGIN
                u = u[indicex[0]:indicex[0]+nx-1,indicey[0]:indicey[0]+ny-1,firstzt:lastzt, *]
                v = v[indicex[0]:indicex[0]+nx-1,indicey[0]:indicey[0]+ny-1,firstzt:lastzt, *]
@@ -356,5 +356,5 @@
          if NOT keyword_set(key_periodic) OR nx NE jpi then v[*,0,*,*]=a
 ;----------------------------------------------------------------------------
-; attribution of the mask and of logitude and latitude arrays
+; attribution of the mask and of longitude and latitude arrays
 ;----------------------------------------------------------------------------
          mask = tmask[indice3d]
@@ -370,5 +370,5 @@
          res[*,0, *, *]=!values.f_nan
          mask = where(mask eq 0)
-         IF mask[0] NE -1 THEN BEGIN 
+         IF mask[0] NE -1 THEN BEGIN
             coeftps = lindgen(jpt)*nx*ny*nzt
             coeftps = replicate(1, n_elements(mask))#coeftps
@@ -394,16 +394,16 @@
          case 1 of
             (size(u))[1] EQ nxu AND (size(u))[2] EQ nyu AND $
-             (size(v))[1] EQ nxv AND (size(v))[2] EQ nyv:BEGIN 
+             (size(v))[1] EQ nxv AND (size(v))[2] EQ nyv:BEGIN
                if nxu NE nx then $
-                if indicex[0] EQ firstxu then u = u[0:nx-1, *] ELSE u = u[1: nx, *] 
+                if indicex[0] EQ firstxu then u = u[0:nx-1, *] ELSE u = u[1: nx, *]
                IF nxv NE nx THEN $
                 if indicex[0] EQ firstxv then v = v[0:nx-1, *] ELSE v = v[1: nx, *]
                IF nyu NE ny THEN $
-                if indicey[0] EQ firstyu then u = u[*, 0:ny-1] ELSE u = u[*, 1: ny] 
+                if indicey[0] EQ firstyu then u = u[*, 0:ny-1] ELSE u = u[*, 1: ny]
                IF nyv NE ny THEN $
                 if indicey[0] EQ firstyv then v = v[*, 0:ny-1] ELSE v = v[*, 1: ny]
             END
             (size(u))[1] EQ jpi AND (size(u))[2] EQ jpj AND $
-             (size(v))[1] EQ jpi AND (size(v))[2] EQ jpj:BEGIN 
+             (size(v))[1] EQ jpi AND (size(v))[2] EQ jpj:BEGIN
                u = u[indice2d]
                v = v[indice2d]
@@ -429,6 +429,6 @@
 ;----------------------------------------------------------------------------
 ; attribution of the mask and of longitude and latitude arrays.
-; We recover the complete grid to establish a big mask extent in the four 
-; direction to cover pointsfor which a land point has been 
+; We recover the complete grid to establish a big mask extent in the four
+; direction to cover pointsfor which a land point has been
 ; considerated (make a small drawing)
 ;----------------------------------------------------------------------------
@@ -455,5 +455,5 @@
    endcase
 ;------------------------------------------------------------
-   if keyword_set(key_performance) THEN print, 'temps norme', systime(1)-tempsun 
+   if keyword_set(key_performance) THEN print, 'temps norme', systime(1)-tempsun
    return, res
 end
Index: /trunk/SRC/ToBeReviewed/CALCULS/projectondepth.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/projectondepth.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/CALCULS/projectondepth.pro	(revision 226)
@@ -12,8 +12,8 @@
 ; @param ARRAYIN {type=3d array}
 ; It is a 3d array whose 3rd dimension must be equal to jpk
-; 
+;
 ; @param DEPTHIN {type=2d array}
 ; It is a 2d array indicating for each point n, at which depth to project
-;       
+;
 ; @returns
 ; A 2d array which is the projection of the 3d array following depths indicated by depthin
@@ -22,5 +22,5 @@
 ; common.pro
 ;
-; @restrictions 
+; @restrictions
 ; points at !values.f_nan impossible calculation. Land points masked at valmask.
 ;
@@ -29,5 +29,5 @@
 ;   IDL> a=gdept[jpk-1]/(1.*jpi*jpj)*findgen(jpi,jpj)
 ; We build an array to project on these depths. For the test,
-; we build a 3d array whose each vector following z is the depth. 
+; we build a 3d array whose each vector following z is the depth.
 ;   IDL> arraytest=replicate(1,jpi*jpj)#gdept
 ;   IDL> arraytest=reform(arraytest,jpi,jpj,jpk, /over)
@@ -35,6 +35,6 @@
 ;   IDL> plt, 1e6*(a-projectondepth(arraytest,a)),/nocontour
 ;   ->null field at 1e-6 pres
-; 
-;  verifcation projecting the temperature of 20°C for example...
+;
+;  verification projecting the temperature of 20°C for example...
 ;
 ; @history
@@ -63,5 +63,5 @@
    if tailledepth[0] NE 2 THEN return, report('Depth array must have 2 dimensions')
    if taillearray[0] NE 3 THEN return, report('Array in must have 3 dimensions')
-; verification of the coherence between array's size and the domain 
+; verification of the coherence between array's size and the domain
    grille, mask, -1, -1, -1,nx,ny,nz,firstx,firsty,firstz,lastx,lasty,lastz
    case 1 of
@@ -103,5 +103,5 @@
    if terre[0] NE -1 then res[terre] = valmask
 ;------------------------------------------------------------
-   if keyword_set(key_performance) THEN print, 'temps projectondepth', systime(1)-tempsun 
+   if keyword_set(key_performance) THEN print, 'temps projectondepth', systime(1)-tempsun
    return, res
 end
Index: /trunk/SRC/ToBeReviewed/CALCULS/remplit.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/remplit.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/CALCULS/remplit.pro	(revision 226)
@@ -22,5 +22,5 @@
 ;
 ; @keyword FILLXDIR
-; 
+;
 ;
 ; @keyword FILLYDIR
@@ -51,16 +51,15 @@
 ; $Id$
 ;
-  ;;
-  ;; Extrapole zinout[jpi,jpj] sur les continents en utilisant les 4
-  ;; plus proches voisins masques oceaniquement et construit un nouveau
-;   masque
-  ;; contenant l'ancien masque oceanique PLUSles points extrapoles.
-  ;; Reitere le processus niter fois.
-  ;; C'est pas clair, essayez !
-  ;;
-  ;;
+;;
+;; Extrapole zinout[jpi,jpj] sur les continents en utilisant les 4
+;; plus proches voisins masques oceaniquement et construit un nouveau masque
+;; contenant l'ancien masque oceanique PLUS les points extrapoles.
+;; Reitere le processus niter fois.
+;; C'est pas clair, essayez !
+;;
+;;
 ;
 ;    /Nan: to fill the point which have the value
-;    !values.f_nan. Whitout this keyword, these point are not filling
+;    !values.f_nan. Without this keyword, these point are not filling
 ;    and stays at !values.f_nan.
 ;
@@ -139,8 +138,8 @@
 ;---------------------------------------------------------------
 ;---------------------------------------------------------------
-; iteration 
-;---------------------------------------------------------------
-;---------------------------------------------------------------
-  FOR n = 1, niter DO BEGIN 
+; iteration
+;---------------------------------------------------------------
+;---------------------------------------------------------------
+  FOR n = 1, niter DO BEGIN
 ; on trouve les points coast
     tempdeux = systime(1)       ; pour key_performance =2
@@ -244,5 +243,5 @@
       END
     endcase
-;    
+;
     z[coast] =  temporary(zcoast)/ temporary(weight)
 ; we update the the boundary conditions of z
@@ -258,5 +257,5 @@
     IF testvar(var = key_performance) EQ 2 THEN $
       print, 'temps remplit: une iteration ', systime(1)-tempdeux
-  ENDFOR 
+  ENDFOR
 fini:
 ;
@@ -280,6 +279,6 @@
   key_gridtype = oldkey_gridtype
 ;---------------------------------------------------------------
-  if keyword_set(key_performance) THEN print, 'temps remplit', systime(1)-tempsun 
+  if keyword_set(key_performance) THEN print, 'temps remplit', systime(1)-tempsun
   return, z
-END 
+END
 
Index: /trunk/SRC/ToBeReviewed/GRILLE/decoupeterre.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/GRILLE/decoupeterre.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/GRILLE/decoupeterre.pro	(revision 226)
@@ -48,5 +48,5 @@
 ; Used to pass your keywords
 ;
-; @keyword TRI 
+; @keyword TRI
 ; This keyword serve to obtain, thanks to grille, the triangulation which
 ; refer to the grid but only on the part of the zoom. This of triangulation
@@ -56,5 +56,5 @@
 ;
 ; @keyword WDEPTH
-; To specify that the field is at W depth instead of T 
+; To specify that the field is at W depth instead of T
 ; depth (automatically activated if vargrid eq 'W')
 ;
@@ -184,5 +184,5 @@
         if vargrid EQ 'V' OR vargrid EQ 'F' then $
           glam = glamv[firstx:lastx, firsty:lasty]
-      ENDIF ELSE BEGIN          ; to drawsectionbottom 
+      ENDIF ELSE BEGIN          ; to drawsectionbottom
         if vargrid EQ 'V' OR vargrid EQ 'F' OR finite(glamu[0]) EQ 0 then $
           glam = glamf[0 > (firstx-1):lastx, firsty:lasty] $
@@ -194,5 +194,5 @@
         if vargrid EQ 'U' OR vargrid EQ 'F' then $
           gphi = gphiu[firstx:lastx, firsty:lasty]
-      ENDIF ELSE BEGIN          ; to drawsectionbottom  
+      ENDIF ELSE BEGIN          ; to drawsectionbottom
         if vargrid EQ 'U' OR vargrid EQ 'F' OR finite(gphiv[0]) EQ 0 then $
           gphi = gphif[firstx:lastx, 0 > (firsty-1):lasty] $
@@ -211,5 +211,5 @@
     firstz = firstzt
     lastz = lastzt
-  ENDELSE 
+  ENDELSE
   nz = lastz-firstz+1
 ;------------------------------------------------------------
@@ -221,5 +221,5 @@
       profond = firstz NE 0
     END
-; for the verical section, we have to choose the right mask according
+; for the vertical section, we have to choose the right mask according
 ; to the grid point and to the direction of the section
     'xz':BEGIN
@@ -267,5 +267,5 @@
       END
       keyword_set(key_partialstep) and type EQ 'yz' $
-        AND nx EQ 1 AND keyword_set(realsection):BEGIN 
+        AND nx EQ 1 AND keyword_set(realsection):BEGIN
         bottom = total(mask, 3)
         good = where(bottom NE 0 AND bottom NE nz+1)
@@ -290,7 +290,7 @@
       tri = triangule(mask, coinmonte = coinmonte, coindescend = coindescend, _extra = ex)
       indicezoom = (lindgen(jpi, jpj))[firstx:lastx, firsty:lasty]
-  ENDIF ELSE BEGIN 
+  ENDIF ELSE BEGIN
 ; Otherwise, we recuperate the part of triangulation that interest us and we number them well!!
-      if nx EQ jpi AND ny EQ jpj then tri = triangles_list ELSE BEGIN 
+      if nx EQ jpi AND ny EQ jpj then tri = triangles_list ELSE BEGIN
         msk = bytarr(jpi, jpj)
         msk[firstx:lastx, firsty:lasty] = 1
@@ -306,5 +306,5 @@
   ENDELSE
 ;-------------------------------------------------------------------
-  if keyword_set(key_performance) THEN print, 'temps decoupeterre', systime(1)-tempsun 
+  if keyword_set(key_performance) THEN print, 'temps decoupeterre', systime(1)-tempsun
 ;------------------------------------------------------------
   return
